# Package net.sf.cglib.core

- Interface Summary
  Interface | Description
  --- | ---
  ClassGenerator |
  Constants |
  Converter |
  Customizer |
  GeneratorStrategy | The `GeneratorStrategy`
  MethodWrapper.MethodWrapperKey | Internal interface, only public due to ClassLoader issues.
  NamingPolicy | Customize the generated class name for `AbstractClassGenerator`-based utilities.
  ObjectSwitchCallback |
  Predicate |
  ProcessArrayCallback |
  ProcessSwitchCallback |
  Transformer |

- Class Summary
  Class | Description
  --- | ---
  AbstractClassGenerator | Abstract class for all code-generating CGLIB utilities.
  Block |
  ClassEmitter |
  ClassesKey |
  ClassInfo |
  ClassNameReader |
  CodeEmitter |
  CollectionUtils |
  DebuggingClassWriter |
  DefaultGeneratorStrategy |
  DefaultNamingPolicy | The default policy used by `AbstractClassGenerator`.
  DuplicatesPredicate |
  EmitUtils |
  EmitUtils.ArrayDelimiters |
  KeyFactory | Generates classes to handle multi-valued keys, for use in things such as Maps and Sets.
  KeyFactory.Generator |
  Local |
  LocalVariablesSorter | A `MethodVisitor` that renumbers local variables in their order of appearance.
  MethodInfo |
  MethodInfoTransformer |
  MethodWrapper |
  ReflectUtils |
  RejectModifierPredicate |
  Signature | A representation of a method signature, containing the method name, return type, and parameter types.
  TinyBitSet |
  TypeUtils |
  VisibilityPredicate |

- Exception Summary
  Exception | Description
  --- | ---
  CodeGenerationException |

Copyright (c) 2001 - Apache Software Foundation